#****************************************************************************
#**
#**  File     :  /cdimage/lua/seraphimprojectiles.lua
#**  Author(s):  Gordon Duclos, Greg Kohne, Matt Vainio, Aaron Lundquist
#**
#**  Summary  : Seraphim projectile base class definitions
#**
#**  Copyright © 2007 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

#------------------------------------------------------------------------
#  SERAPHIM PROJECTILES SCRIPTS
#------------------------------------------------------------------------
local DefaultProjectileFile = import('/lua/sim/defaultprojectiles.lua')
local SinglePolyTrailProjectile = DefaultProjectileFile.SinglePolyTrailProjectile
local MultiPolyTrailProjectile = DefaultProjectileFile.MultiPolyTrailProjectile 
local SingleBeamProjectile = DefaultProjectileFile.SingleBeamProjectile
local EffectTemplate = import('/Mods/Commanders Revenges FA UEF,Cybran,Aeon,Seraphim/Hook/lua/ModEffectTemplates.lua')
local EmitterProjectile = DefaultProjectileFile.EmitterProjectile
local util = import('/lua/utilities.lua')

MultigunProjectile = Class(MultiPolyTrailProjectile) {
    FxImpactNone = EffectTemplate.MultiGunWeaponHit01,
    FxImpactUnit = EffectTemplate.MultigunWeaponHitUnit,
    FxImpactProp = EffectTemplate.MultiGunWeaponHit01,
    FxImpactLand = EffectTemplate.MultiGunWeaponHit01,
    FxImpactWater= EffectTemplate.MultiGunWeaponHit01,
    RandomPolyTrails = 1,
    
    PolyTrails = EffectTemplate.MultiGunWeaponPolytrails01,
    PolyTrailOffset = {0,0,0},
}
